Skip to main content

Events

Append new events to your account

Append new events to your account. Before you start sending events, you must have a matching EventTypeId that matches the message format you are about to send.

To find this EventTypeId, you can look at the event definitions within the Sources menu. The sources menu can be found within your CDP Environment.

POST https://api.cdp.cm.com/events/v1.0/tenants/{tenantId}/events/{eventTypeId}

POST Parameters​

NameInDescriptionRequiredTypeExample
TenantIdPathThe tenant guidTrueGuid069973bc-19a9-4854-b387-306254c2412e
Event type IDPathThe event type guidTrueGuid61c1603c-a105-43e5-9930-f8e4b184e6cd
X-CM-PRODUCTTOKENHeader or Query parameterYour product tokenTrueGuid746477d0-d396-4af0-8f8e-dfd257640727
BodyBodyThe event to appendTrueJson object
[{
"Owner": "Jane Doe",
"Product": "Coffee",
"Amount": 1,
"Last Name": "Doe",
"First Name": "John",
"Mobile Phone": "0031612345678",
"Email Address": "[email protected]",
"Membership": "Subscribed"
}]